properties([
        parameters([
                booleanParam(name: 'RELEASE', description: 'Build a release from current commit.', defaultValue: false),
                string(name: 'RELEASE_VERSION', defaultValue: '0.0.0', description: 'RELEASE Version'),
                string(name: 'SNAPSHOT_VERSION', defaultValue: '0.0.0-SNAPSHOT', description: 'SNAPSHOT Version'),
                string(name: 'TAG_NAME', defaultValue: 'dlcm-0.0.0', description: 'TAG Name'),
        ])
])

@Library('solidify-pipelinelibrary') _
mavenPipeline {
    baseImage = 'nexus.unige.ch:445/eclipse-temurin:17'
    buildParams = ['skipITs', 'uniqueVersion=false', 'dockerfile.skip']
    releaseParams = ['skipITs', 'maven.javadoc.skip=true']
    dockerImages = ['DLCM-Solution']
    skipCodeInspection = false
    skipGeneratingDocker = false
}
